View Issue Details

IDProjectCategoryView StatusLast Update
14062Bug reports[All Projects] Survey takingpublic2019-04-30 09:10
ReportermedhatAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.15.x 
Summary14062: No languages list when clicking the hamburger icon in Token page
Description

Languages list is empty when clicking the hamburger icon in the Token page, although that:
1- the icon works fine on other pages
2- JavaScript is allowed
3- languages list appear in the dropdown list located below the token textbox

Steps To Reproduce

1-create new survey with 2 languages.
2-activate the survey.
3-open the survey in a mobile device or a mobile simulator, (I used chrome browser in both cases), so that hamburger icon appears at the top
4- try to switch the language by clicking the hamburger icon
You will see that the languages list is empty.

Additional Information

I can see that the css class: "ls-no-js-hidden" is applied to li item of the top menu language changer although that js is allowed in browser settings.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.8+180829
I will donate to the project if issue is resolvedNo
Browserchrome Version 68.0
Database & DB-VersionMS sql server 2012
Server OS (if known)windows 10
Webserver software & version (if known)IIS
PHP Versionphp 7.0 & php 5.6.30

Activities

medhat

medhat

2018-09-17 13:42

reporter  

lang icon.png (51,689 bytes)
lang icon.png (51,689 bytes)
medhat

medhat

2018-10-25 08:04

reporter   ~49435

Can I change the "View Status"?
It's set to private by mistake :)

guest

guest

2018-10-29 15:42

viewer   ~49470

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28415

Related Changesets

LimeSurvey: master 2e3774a5

2018-10-29 15:41:14

Dominik Vitt

Details Diff
Fixed issue 14062: No languages list when clicking the hamburger icon in Token page Affected Issues
14062
mod - application/helpers/frontend_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-09-17 13:42 medhat New Issue
2018-09-17 13:42 medhat File Added: lang icon.png
2018-10-25 08:04 medhat Note Added: 49435
2018-10-25 09:09 DenisChenu View Status private => public
2018-10-25 17:34 dominikvitt Assigned To => dominikvitt
2018-10-25 17:34 dominikvitt Status new => assigned
2018-10-29 15:42 Changeset attached => LimeSurvey master 2e3774a5
2018-10-29 15:42 guest Note Added: 49470
2018-10-29 15:42 guest Resolution open => fixed
2018-11-09 15:16 dominikvitt Status assigned => resolved
2018-11-09 15:16 dominikvitt Fixed in Version => 3.15.x
2019-04-30 09:10 c_schmitz Status resolved => closed